PrompticPromptic

Create evaluator(s)

Accepts a single evaluator object or an array

POST
/experiments/{experimentId}/evaluators

Accepts a single evaluator object or an array

Authorization

BearerApiKey
AuthorizationBearer <token>

API key from workspace settings

In: header

Path Parameters

experimentId*string
Formatuuid

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

curl -X POST "https://loading/api/v1/experiments/497f6eca-6276-4993-bfeb-53cbbbba6f08/evaluators" \  -H "Content-Type: application/json" \  -d '{    "name": "string",    "type": "string",    "scaleMin": 0,    "scaleMax": 1,    "weight": 1  }'
{
  "data": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "experimentId": "7cb83992-f615-4081-9f22-54e0b618e006",
      "name": "string",
      "type": "string",
      "description": "string",
      "scaleMin": 0,
      "scaleMax": 0,
      "weight": 0,
      "createdAt": "string"
    }
  ]
}
{
  "error": "string"
}